Skip to main content
POST
Void an invoice
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

client_id
string
required

Unique ID of the client for which you want to retrieve or update details. Refer to Getting the Client ID section for detailed instructions.

invoice_id
string
required

The invoice's number as printed on the document, its identifier, or its ID.

Body

application/json
email
string<email>
required

Email of the acting user. Required when you authenticate with an API key.

Example:

"oliver@example.com"

notes
string

Notes saved on the invoice, such as why it was voided. Existing notes are kept when omitted.

Example:

"Issued in error"

Response

OK - Invoice voided

id
string<uuid>
number
string
Example:

"INV-2026-042"

status
enum<string>
Available options:
written_off
Example:

"written_off"

amount_paid
number<float>

Total of any partial payments recorded before the invoice was voided.

Example:

0

balance
number<float>

Amount that was outstanding when the invoice was voided.

Example:

2500